#502918 cancelled

465f93fEvilham

devel/py-twisted: Update to 21.2.0

Owner
~evilham
Created
a month ago
Updated
a month ago
Build manifest
view manifest »

Tasks

view log »
portlint view log »
build view log »
test view log »
go to bottom »
setup
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
[#502918] 2021/05/07 22:48:39 Booting image freebsd/latest (default) on port 22550
[#502918] 2021/05/07 22:48:41 Waiting for guest to settle
[#502918] 2021/05/07 22:49:01 Sending tasks
[#502918] 2021/05/07 22:49:01 Sending build environment
[#502918] 2021/05/07 22:49:01 Installing packages
Warning: Permanently added '[localhost]:22550' (ECDSA) to the list of known hosts.
Updating FreeBSD repository catalogue...
Fetching packagesite.txz: .......... done
Processing entries: .......... done
FreeBSD repository update completed. 30440 packages processed.
All repositories are up to date.
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
Checking for upgrades (5 candidates): ..... done
Processing candidates (5 candidates): ..... done
The following 6 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	py38-setuptools: 44.0.0_1
	python38: 3.8.9

Installed packages to be UPGRADED:
	curl: 7.76.0 -> 7.76.1
	py37-setuptools: 44.0.0 -> 44.0.0_1

Installed packages to be REINSTALLED:
	git-2.31.1_1 (direct dependency changed: python38)
	mercurial-5.5_1 (direct dependency changed: python38)

Number of packages to be installed: 2
Number of packages to be upgraded: 2
Number of packages to be reinstalled: 2

The process will require 119 MiB more space.
29 MiB to be downloaded.
[1/6] Fetching py37-setuptools-44.0.0_1.txz: .......... done
[2/6] Fetching mercurial-5.5_1.txz: .......... done
[3/6] Fetching git-2.31.1_1.txz: .......... done
[4/6] Fetching curl-7.76.1.txz: .......... done
[5/6] Fetching python38-3.8.9.txz: .......... done
[6/6] Fetching py38-setuptools-44.0.0_1.txz: .......... done
Checking integrity... done (1 conflicting)
  - py38-setuptools-44.0.0_1 conflicts with py37-setuptools-44.0.0 on /usr/local/bin/easy_install
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 7 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	py38-setuptools: 44.0.0_1
	python38: 3.8.9

Installed packages to be UPGRADED:
	curl: 7.76.0 -> 7.76.1

Installed packages to be REINSTALLED:
	git-2.31.1_1 (direct dependency changed: python38)
	mercurial-5.5_1 (direct dependency changed: python38)

Number of packages to be installed: 2
Number of packages to be upgraded: 1
Number of packages to be reinstalled: 2

The process will require 119 MiB more space.
[1/7] Installing python38-3.8.9...
[1/7] Extracting python38-3.8.9: .......... done
[2/7] Deinstalling py37-setuptools-44.0.0...
[2/7] Deleting files for py37-setuptools-44.0.0: .......... done
[3/7] Upgrading curl from 7.76.0 to 7.76.1...
[3/7] Extracting curl-7.76.1: .......... done
[4/7] Installing py38-setuptools-44.0.0_1...
[4/7] Extracting py38-setuptools-44.0.0_1: .......... done
[4/7] Installing py37-setuptools-44.0.0_1...
[4/7] Extracting py37-setuptools-44.0.0_1: .......... done
[5/7] Reinstalling mercurial-5.5_1...
[5/7] Extracting mercurial-5.5_1: .......... done
[6/7] Reinstalling git-2.31.1_1...
===> Creating groups.
Using existing group 'git_daemon'.
===> Creating users
Using existing user 'git_daemon'.
[6/7] Extracting git-2.31.1_1: .......... done
=====
Message from python38-3.8.9:

--
Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py38-gdbm       databases/py-gdbm@py38
py38-sqlite3    databases/py-sqlite3@py38
py38-tkinter    x11-toolkits/py-tkinter@py38
=====
Message from py37-setuptools-44.0.0_1:

--
Only /usr/local/bin/easy_install-3.7 script has been installed
  since Python 3.7 is not the default Python version.
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
The following 1 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	portlint: 2.19.5

Number of packages to be installed: 1

32 KiB to be downloaded.
[1/1] Fetching portlint-2.19.5.txz: ..... done
Checking integrity... done (0 conflicting)
[1/1] Installing portlint-2.19.5...
[1/1] Extracting portlint-2.19.5: ...... done
[#502918] 2021/05/07 22:49:25 Cloning repositories
Cloning into 'freebsd-ports'...
Updating files: 100% (138753/138753), done.
+ cd freebsd-ports
+ git checkout -q 465f93ff5076e6c31788bc7b7e871f21741d8257
+ cd freebsd-ports
+ git submodule update --init
[#502918] 2021/05/07 22:57:15 Running task portlint
[#502918] 2021/05/07 22:57:18 Running task build
[#502918] 2021/05/07 23:08:44 Build failed.
[#502918] 2021/05/07 23:08:44 The build environment will be kept alive for 10 minutes.
[#502918] 2021/05/07 23:08:44 To log in with SSH and examine it, use the following command:
[#502918] 2021/05/07 23:08:44 
[#502918] 2021/05/07 23:08:44 	ssh -t builds@yui.runners.sr.ht connect 502918
[#502918] 2021/05/07 23:08:44 
[#502918] 2021/05/07 23:08:44 After logging in, the deadline is increased to your remaining build time.
[#502918] 2021/05/07 23:08:44 Build cancelled. Terminating build environment.
[#502918] 2021/05/07 23:08:44 Error: Running task on guest: signal: killed
portlint
1
2
3
4
5
6
+ cd freebsd-ports
+ ./.builds/run-port-lint --head
***** CHECKING devel/py-twisted *****
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.
***** CHECKED  devel/py-twisted *****
build
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
+ cd freebsd-ports
+ sudo ./.builds/run-port-build --head
***** BUILDING devel/py-twisted *****
===> Building/installing dialog4ports as it is required for the config dialog
===>  Cleaning for dialog4ports-0.1.6
===>  License BSD2CLAUSE accepted by the user
===>   dialog4ports-0.1.6 depends on file: /usr/local/sbin/pkg - found
=> dialog4ports-0.1.6.tar.gz doesn't seem to exist in /usr/home/build/freebsd-ports/distfiles/.
=> Attempting to fetch https://files.etoilebsd.net/dialog4ports/dialog4ports-0.1.6.tar.gz

dialog4ports-0.1.6.tar.gz                       0% of   10 kB    0  Bps
dialog4ports-0.1.6.tar.gz                               10 kB   48 MBps    00s
===> Fetching all distfiles required by dialog4ports-0.1.6 for building
===>  Extracting for dialog4ports-0.1.6
=> SHA256 Checksum OK for dialog4ports-0.1.6.tar.gz.
===>  Patching for dialog4ports-0.1.6
===>  Applying FreeBSD patches for dialog4ports-0.1.6 from /usr/home/build/freebsd-ports/ports-mgmt/dialog4ports/files
===>  Configuring for dialog4ports-0.1.6
===>  Building for dialog4ports-0.1.6
--- dialog4ports.o ---
--- mixedlist.o ---
--- dialog4ports.o ---
cc  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -Wall -pedantic -c dialog4ports.c -o dialog4ports.o
--- mixedlist.o ---
cc  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -Wall -pedantic -c mixedlist.c -o mixedlist.o
--- dialog4ports.1.gz ---
gzip -cn dialog4ports.1 > dialog4ports.1.gz
--- dialog4ports ---
cc -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -Wall -pedantic dialog4ports.o mixedlist.o -o dialog4ports -lncursesw -lm -ldialog
===>  Staging for dialog4ports-0.1.6
===>   Generating temporary packing list
install  -s -m 555 dialog4ports /usr/home/build/freebsd-ports/ports-mgmt/dialog4ports/work/stage/usr/local/bin
install  -m 0644 dialog4ports.1.gz /usr/home/build/freebsd-ports/ports-mgmt/dialog4ports/work/stage/usr/local/man/man1
====> Compressing man pages (compress-man)
===>  Installing for dialog4ports-0.1.6
===>  Checking if dialog4ports is already installed
===>   Registering installation for dialog4ports-0.1.6
Installing dialog4ports-0.1.6...
===>  Cleaning for dialog4ports-0.1.6
[?1h=[?1000h[?1h=[?1h=[1└┌──────────────────────── py38-twisted-21.2.0 ───────────────────────────[└[38;5;0└[48;5;7└┐[39;49└
[38;5;7└[48;5;7└[1└│ ┌────────────────────────────────────────────────────────────────────[38;5;7└[48;5;7└[1└┐  
+[x] CONCH   Conch secure shell SSH                                 [1└│  
+[x] HTTP2   HTTP protocol version 2.0 support                      [1└│  
+[x] SERIAL  Serial port extension                                  [1└│  
+[x] TLS     Secure network connection support via TLS              [1└│  
 └[38;5;7└[48;5;7└[1└────────────────────────────────────────────────────────────────────┘  
├────────────────────────────────────────────────────────────────────────[└[38;5;0└[48;5;7└┤  
  
└[└[38;5;0└[48;5;7└────────────────────────────────────────────────────────────────────────┘  
                                                                          <  OK  ><Cancel>